# Copyright (c) 2018-2019, diyIT.org
# All rights reserved.
#
# BSD 2-Clause License ("Simplified BSD License" or "FreeBSD License")
# https://diyit.org/license/
#
#

# my global config
global:
  scrape_interval:     15s # Set the scrape interval to every 15 seconds. Default is every 1 minute.
  evaluation_interval: 15s # Evaluate rules every 15 seconds. The default is every 1 minute.
  # scrape_timeout is set to the global default (10s).

# Alertmanager configuration
alerting:
  alertmanagers:
  - static_configs:
    - targets: ['localhost:9093']

# Load rules once and periodically evaluate them according to the global 'evaluation_interval'.
rule_files:
  - "alert_rules.yml"
  # - "first_rules.yml"
  # - "second_rules.yml"

# A scrape configuration containing exactly one endpoint to scrape:
# Here it's Prometheus itself.
scrape_configs:
  # The job name is added as a label `job=<job_name>` to any timeseries scraped from this config.
  - job_name: 'prometheus'
    # metrics_path defaults to '/metrics'
    # scheme defaults to 'http'.
    static_configs:
    - targets: ['localhost:9090']

  - job_name: 'hass'
    scrape_interval: 60s
    scrape_timeout: 55s
    metrics_path: /api/prometheus
    # Long-Lived Access Token
    authorization:
      credentials: "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiIwMTgyNzJkMGM4MDE0MDI3OTJkNDFmZjFkOGFjYTQ3YSIsImlhdCI6MTY5MDg0MzQ1MywiZXhwIjoyMDA2MjAzNDUzfQ.7V9ElJkYzW1DRIHIp3GvopVN4pC5X92Ozqs-I9cZ9_c"
    scheme: http
    static_configs:
      - targets: ['192.168.0.7:8123']

  - job_name: 'sunpower'
    scrape_interval: 60s
    scrape_timeout: 55s
    metrics_path: /
    static_configs:
    - targets: ['192.168.200.172:9110']

  - job_name: 'haproxy'
    static_configs:
    - targets: ['proxy.ahlawat.com:8404']

  - job_name: 'node_exporter'
    scrape_interval: 60s
    scrape_timeout: 55s
    metrics_path: /metrics
    scheme: http
    static_configs:
    - targets: ['nas.ahlawat.com:9100']

  - job_name: 'db'
    scrape_interval: 60s
    scrape_timeout: 55s
    static_configs:
      - targets: ['db.ahlawat.com:9104']

  - job_name: 'gstat'
    scrape_interval: 60s
    scrape_timeout: 55s
    metrics_path: /
    scheme: http
    static_configs:
      - targets: ['nas.ahlawat.com:9248']

  - job_name: web-diyit
    metrics_path: /probe
    params:
      module: [http_2xx]
    static_configs:
      - targets:
        - https://diyit.org
        - https://ahlawat.com
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: web.diyit.org:9115 # The blackbox exporter.
